package org.moviepedia.moviedb;

import java.util.List;

import com.google.gson.annotations.SerializedName;

class _SearchResponse {

	public int page;
	
	@SerializedName("total_pages")
	public int totalPages;
	
	@SerializedName("total_results")
	public int totalResults;
	
	public List<_MovieResult> results;
}

class _MovieResult {
	
	@SerializedName("backdrop_path")
	public String backdropPath;
	
	@SerializedName("id")
	public int id;
	
	@SerializedName("original_title")
	public String originalTitle;
	
	public String popularity;
	
	@SerializedName("poster_path")
	public String posterPath;
	
	@SerializedName("release_date")
	public String releaseDate;
	
	@SerializedName("title")
	public String title;
}
